# this is identical to gnu2 except it does not write ps
#
# this shows a load of hyperbolas corresponding to voyager arriving
# at jupiter in different orientations.
# shows ellipse
# set noarrow 1
r(p,t,epsilon) = p/(1-epsilon*cos(t))
a(p,epsilon) = ( r(p,0,epsilon) + r(p,pi,epsilon)  ) / 2 
b(p,epsilon) = p/sqrt(1-epsilon**2)
u(p,epsilon) = p*epsilon /(1-epsilon**2)
#
# caretesians
examplet = 0.5

# circle orbit
rc(epsilon) = ( a(1,epsilon) + b(1,epsilon) ) * 0.5
uc(epsilon) = u(1,epsilon)
xc(t,epsilon) = uc + rc * cos(t) 
yc(t,epsilon) =  rc * sin(t) 

# 
xe(l,t,epsilon,t0) = r(l,t-t0,epsilon) * cos(t) 
ye(l,t,epsilon,t0) = r(l,t-t0,epsilon) * sin(t) 
epsilon = 0.1

set polar
set noparametric
set size 1,1
set size square
# offset 
set samples  1420
set noytics
set noxtics
set noborder
set xzeroaxis
set yzeroaxis
set nokey

set nopolar
set parametric

# first show a load of orbits 
epsilon0 = 1.5
epsilon1 = 1
epsilon2 = 0.7
epsilon3 = 0.3
epsilon4 = 0.0
l0 = 1 ; l1 = 1 ; l2 = 1 ; l3 = 1 ; l4 = 1 ; 
set xrange [-5:5]
set yrange [-5:5]
set trange [0:2*pi]
# pause -1 'and xe...'
plot \
 xe(l0,t,epsilon0,0),ye(l0,t,epsilon0,0) w l 5,\
 xe(l1,t,epsilon1,0),ye(l1,t,epsilon1,0) w l 4,\
 xe(l2,t,epsilon2,0),ye(l2,t,epsilon2,0) w l 3,\
 xe(l3,t,epsilon3,0),ye(l3,t,epsilon3,0) w l 2,\
 xe(l4,t,epsilon4,0),ye(l4,t,epsilon4,0) w l 1
pause -1 'Orbits with same angular momentum but different energies'

epsilon0 = 1.5
epsilon1 = 1
epsilon2 = 2
plot \
 xe(l0,t,epsilon0,0),ye(l0,t,epsilon0,0) w l 5,\
 xe(l1,t,epsilon1,0),ye(l1,t,epsilon1,0) w l 4,\
 xe(l2,t,epsilon2,0),ye(l2,t,epsilon2,0) w l 6
pause -1 'Orbits with same angular momentum but different energies'

# now a load of incoming dudes with same energy
# a = l/(1-e^2) = same; orientations differ; and angular momenta differ.
# pick a and l -> e determined.
# e^2 = 1 + l/a
eps(a,l) = sqrt( 1 + l/a )
# find the critical angle
# r = 1 /(1-e cos(t)) -> cos(t) = 1/e
tcrit(epsilon) =  acos(1/epsilon)
#
# might also be useful to be able to work from the impact parameter.

l0 = 0.02 ; l1 = 0.2 ; l2 = 0.6 ; l3 = 1.5 ; l4 = 4 ;  
# these are sign reversed:
 l6 = 0.6 ; l5 = 3 ; l7 = 0.1 ;

a = 1.0 ; 
load 'setepsilon.gnu'
r = 5
set arrow 1 from 8,4 to 5.5,4 
set arrow 2 from 8,2 to 5.5,2 
set arrow 3 from 8,0 to 5.5,0 
set xrange [-r:r]
set yrange [-r:r]
# now let t be the fraction of the critical angle, to get rid of the other
# branch 
set trange [0:0.041]
# pause -1 'and xe...'
plot \
 xe(l0,t*2*(pi-t0),epsilon0,-t0),ye(l0,t*2*(pi-t0),epsilon0,-t0) w l 5,\
 xe(l1,t*2*(pi-t1),epsilon1,-t1),ye(l1,t*2*(pi-t1),epsilon1,-t1) w l 4,\
 xe(l2,t*2*(pi-t2),epsilon2,-t2),ye(l2,t*2*(pi-t2),epsilon2,-t2) w l 3,\
 xe(l3,t*2*(pi-t3),epsilon3,-t3),ye(l3,t*2*(pi-t3),epsilon3,-t3) w l 2,\
 xe(l4,t*2*(pi-t4),epsilon4,-t4),ye(l4,t*2*(pi-t4),epsilon4,-t4) w l 1
print 'Orbits with same energies (positive) but different angular momenta'

short = -1
# 0.01 
pause -1 'ready for movie?'
set trange [0:0.5] ;  replot
 pause short '...'
set trange [0:1] ;  replot
# pause short '...'

# now add the bottom half too
set arrow 4 from 8,-2 to 5.5,-2 
set arrow 5 from 8,-4 to 5.5,-4 
# replot

#set xrange [-1:1]
#set yrange [-1:1]
#replot
#pause -1 'Orbits with same energies (positive) but different angular momenta'

pause -1 'ready for another movie with bottom half?'
set trange [0:0.5] ;

set term X
replot \
 xe(l5,t*2*(pi-t5),epsilon5,-t5),-ye(l5,t*2*(pi-t5),epsilon5,-t5) w l 8,\
 xe(l6,t*2*(pi-t6),epsilon6,-t6),-ye(l6,t*2*(pi-t6),epsilon6,-t6) w l 7,\
 xe(l7,t*2*(pi-t7),epsilon7,-t7),-ye(l7,t*2*(pi-t7),epsilon7,-t7) w l 6

  replot
# pause short '...'
# set trange [0.5:1] ;  replot
# ; pause short

pause -1 'ready for the whole thing?'
set trange [0:1]
replot

pause -1 'now repulsive?'
d0 = 0.05 ; d1 = 0.25 ; d2 = 0.45 ; d3 = 0.65 ; d4 = 0.85 ;  
# these are sign reversed:
 d6 = 0.35 ;  d7 = 0.15 ; d5 = 0.55 ;

# pause -1 'now equally spaced incoming repulsive?'
# 
a = 1 ;
load 'setl-from-d+a.gnu'

plot \
 -xe(l0,t*2*(-t0),epsilon0,-t0), ye(l0,t*2*(-t0),epsilon0,-t0) w l 5,\
 -xe(l1,t*2*(-t1),epsilon1,-t1), ye(l1,t*2*(-t1),epsilon1,-t1) w l 4,\
 -xe(l2,t*2*(-t2),epsilon2,-t2), ye(l2,t*2*(-t2),epsilon2,-t2) w l 3,\
 -xe(l3,t*2*(-t3),epsilon3,-t3), ye(l3,t*2*(-t3),epsilon3,-t3) w l 2,\
 -xe(l4,t*2*(-t4),epsilon4,-t4), ye(l4,t*2*(-t4),epsilon4,-t4) w l 1,\
 -xe(l5,t*2*(-t5),epsilon5,-t5),-ye(l5,t*2*(-t5),epsilon5,-t5) w l 8,\
 -xe(l6,t*2*(-t6),epsilon6,-t6),-ye(l6,t*2*(-t6),epsilon6,-t6) w l 7,\
 -xe(l7,t*2*(-t7),epsilon7,-t7),-ye(l7,t*2*(-t7),epsilon7,-t7) w l 6



pause -1 'now with energy four times as big?'
a = 0.25 ; 
load 'setl-from-d+a.gnu'
replot


pause -1 'now with energy sixteen times as big?'
a = 0.25 * 0.25 ; 
load 'setl-from-d+a.gnu'
replot


pause -1 'now with energy 64 times as big?'
a = 0.25 * 0.25  * 0.25 ; 
load 'setl-from-d+a.gnu'
replot

set noarrow



