function [y]=displace(x,option) ;
  %				# expects x=two-component, and y
  switch (option)
    case {1}
      y(:,1) = f1(x) ;
      y(:,2) = f2(x) ;
    case {2} % shrink
      y(:,1) = fs1(x) ;
      y(:,2) = fs2(x) ;
    case {3} % magnify
      y(:,1) = fm1(x) ;
      y(:,2) = fm2(x) ;
    case {4}
      y(:,1) = fn1(x) ;
      y(:,2) = fn2(x) ;
    case {5}
      y(:,1) = fy1(x) ;
      y(:,2) = fy2(x) ;
    case {6}
      y(:,1) = fz1(x) ;
      y(:,2) = fz2(x) ;
    case {7}
      y(:,1) = fx1(x) ;
      y(:,2) = fx2(x) ;
  end

%endfunction

%-------------------------
function [y1]=f1(x) ;
  y1(:,1) = 0.61 + x(:,1) + 0.1 * x(:,1).^3 ...
      + 0.1 * sin(x(:,1)) + 0.1 * sin(x(:,2)) ;
%-------------------------
function [y2]=f2(x) ;
  y2(:,1) = 0.81 + x(:,2) - 0.01 * x(:,2).^3 + ...
      0.1* x(:,1) .*( x(:,2)-0.5).^3 ...
      + 0.1 * sin(3*x(:,1)) ;
  %-------------------------  shrinkage example
function [y1]=fs1(x) ;
%  y1(:,1) = 0.61 + 0.5 * x(:,1) + 0.42 * x(:,2) ;
  y1(:,1) = 0.61 + 0.75 * x(:,1) + 0.2 * x(:,2) ;
%-------------------------
function [y2]=fs2(x) ;
%  y2(:,1) = 0.81 + 0.69 * x(:,2) - 0.41 * x(:,1);
  y2(:,1) = 0.81 + 0.69 * x(:,2) - 0.1 * x(:,1);
  %------------------------- nice magnifcation example
function [y1]=fm1(x) ;
  y1(:,1) = 0.61 + 1.2 * x(:,1) + 0.2 * x(:,2) ;
%-------------------------
function [y2]=fm2(x) ;
  y2(:,1) = 0.581 + 1.2 * x(:,2) - 0.1 * x(:,1);
  %------------------------- nice general shear example
function [y1]=fn1(x) ;
  y1(:,1) = 0.61 + 1 * x(:,1) + 0.1 * x(:,2) ;
%-------------------------
function [y2]=fn2(x) ;
  y2(:,1) = 0.81 + 0.81 * x(:,2) - 0.3 * x(:,1);
  %-------------------------  
  %-- pure shear of standard sort
function [y1]=fz1(x) ;
  y1(:,1) = 0.61 + 1 * x(:,1) + 0.12 * x(:,2) ;
%-------------------------
function [y2]=fz2(x) ;
  y2(:,1) = 0.81 + 1 * x(:,2) + 0.0 * x(:,1);

  %-      standard stretch alone.
  function [y1]=fx1(x) ;
    y1(:,1) = 0.61 + 1.2 * x(:,1) ;
%-------------------------
function [y2]=fx2(x) ;
  y2(:,1) = 0.7  + 1 * x(:,2) ;
  %-      standard stretch with poisson shrinkage.
  function [y1]=fy1(x) ;
    y1(:,1) = 0.81 + 1.2 * x(:,1) ;
%-------------------------
function [y2]=fy2(x) ;
  y2(:,1) = 0.05  + 0.9 * x(:,2) ;
  

